#ifndef MY_OBJECT3D_H
#define MY_OBJECT3D_H

#include "AReVi/Lib3D/object3D.h"
#include "AReVi/Contrib/arMath.h"
using namespace AReVi;

class MyObject3D : public Object3D {
public :
  AR_CLASS(MyObject3D)
  AR_CONSTRUCTOR(MyObject3D)

  AR_CALLBACK(MyObject3D, Translation, _translationCB,
              /* no field */)

protected :
  virtual
  void
  _onMotion(void);

protected :
  Util3D::Base _old;
  CallbackManager<MyObject3D, TranslationEvent> _translationCB;
};

#endif // MY_OBJECT3D_H
