#ifndef _AR_MATH_POINT3D_H_
#define _AR_MATH_POINT3D_H_

namespace AReVi {

class Point3d {
public :
  inline Point3d(double v1 = 0, double v2 = 0, double v3 = 0) ;
  inline Point3d(const Point3d& p);

  inline Point3d& operator=(const Point3d& p);
  inline bool operator==(const Point3d& p) const;
  inline bool operator!=(const Point3d& p) const;

  double x, y, z;
};

} // namespace AReVi

#endif // _AR_MATH_POINT3D_H_
