// LI2/ENIB - AReVi - Utility services
//----------------------------------------------------------------------------
// file        : AReVi/Utils/platform_priv.h
// author(s)   : F. Harrouet
//----------------------------------------------------------------------------
// Copyright (C) 2002-2006  LI2/ENIB
//   Laboratoire d'Ingenierie Informatique (LI2)
//   Ecole Nationale d'Ingenieurs de Brest (ENIB)
//   CS 73862 - 29238 BREST Cedex 3 - France
//   Tel: +33(0)298 05 89 89, Fax: +33(0)298 05 89 79, e-mail: li2@enib.fr
//
// This software package is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 2.1 of the
// License, or (at your option) any later version.
// This software package is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
// General Public License (file LICENSE-LGPL) for more details.
//----------------------------------------------------------------------------

#ifndef AREVI_UTILS_PLATFORM_PRIV_H
#define AREVI_UTILS_PLATFORM_PRIV_H 1

#define __STDC_LIMIT_MACROS 1
#define __STDC_CONSTANT_MACROS 1
#define __STDC_FORMAT_MACROS 1
#include <inttypes.h>
#include <limits.h>
#include <float.h>
#include <sys/types.h>

#ifndef BYTE_ORDER
# ifdef __sgi
#   include <sys/endian.h>
# endif
# ifdef __CYGWIN__
#   include <machine/endian.h>
# endif
#endif

#ifndef BYTE_ORDER
# error "BYTE_ORDER not defined, please check platform settings"
#endif

#endif // AREVI_UTILS_PLATFORM_PRIV_H

//----------------------------------------------------------------------------
