#ifndef _AR_MATH_POINT2D_H_
#define _AR_MATH_POINT2D_H_

namespace AReVi {

class Point2d {
public :
  inline Point2d(double v1 = 0, double v2 = 0);
  inline Point2d(const Point2d& p);

  inline Point2d& operator=(const Point2d& p);
  inline bool operator==(const Point2d& p) const;
  inline bool operator!=(const Point2d& p) const;

  double x, y;
};

} // namespace AReVi

#endif // _AR_MATH_POINT2D_H_
